【公式】設置時、画面上部に「Deprecated: ini_set(): Use of mbstring.~」といった表示が出る

投稿日時:
2017年01月13日 10:07
質問ID:
Fa52ea94
閲覧数:
1,109
役に立った人数:
0人

Deprecated: ini_set(): Use of mbstring.internal_encoding is deprecated in ...
Deprecated: ini_set(): Use of mbstring.http_input is deprecated in ...
Deprecated: ini_set(): Use of mbstring.http_output is deprecated in ...

といった表示が画面上部に出る場合、
PHPのバージョンによって警告表示が出ているものと思われます。

以下の手順をお試しください。

■custom/head_main.phpの6行目付近に
include_once "./custom/extends/debugConf.php";
の記述を追加。

custom/extends/debugConf.php 内の
■14行目付近の
error_reporting( E_ERROR | E_WARNING | E_PARSE );
の記述を
error_reporting( ( E_ERROR & ~E_DEPRECATED ) | E_WARNING | E_PARSE );
へと変更

■上記の変更を行っても表示が消えない場合は、さらに下の行に
error_reporting( 0 );
の追記をお試しください。
(前述の行よりも上に書かれてしまうと機能しませんのでご注意ください)

この情報は参考になりましたか?

現在0人の方が、役に立ったと言っています。

このエントリーをはてなブックマークに追加

関連Q&A

もっと表示

  • 公開中の公式Q&A

    676 件

  • FAQSystem
  • 新しく質問する
  • みんなの質問に回答する

製品ニュース

ポイントランキング

WEBSQUARE
製品情報
運営サイト
会社概要